<?php

function template_scl_above()
{
	global $settings, $txt;
	
	echo '
		<div class="cat_bar">
			<h3 class="catbg">
				<span class="ie6_header floatleft">
					<img class="icon" alt="" src="', $settings['default_theme_url'], '/images/sc_light/scl.png" />
					', $txt['scl'], '
				</span>
			</h3>
		</div>';
}

function template_scl_below()
{
	global $context, $txt;
	
	echo '
	<div class="centertext">
		<span class="clear upperframe"><span></span></span>
		<div class="roundframe">
			<div class="innerframe">';

	if (!empty($context['boards']) && $context['can_post_new'])
	{
		echo '
				<select id="sel_board_go">';

		foreach ($context['boards'] as $category)
		{
			echo '
					<optgroup label="', $category['name'], '">';

			foreach ($category['boards'] as $board)
				echo '
						<option value="', $board['id'], '"', $board['selected'] ? ' selected="selected"' : '', '>', $board['child_level'] > 0 ? str_repeat('==', $board['child_level'] - 1) . '=&gt;' : '', ' ', $board['name'], '</option>';
			
			echo '
					</optgroup>';
		}

		echo '
				</select>';

		echo '
				<script type="text/javascript">
					function select_board()	{
						var sel_board = document.getElementById("sel_board_go").value;
						window.location = smf_prepareScriptUrl(smf_scripturl) + \'action=post;board=\' + sel_board + \'.0\';
					}
				</script>
				<input type="button" value="', $txt['scl_post_ad'], '" class="button_submit" onclick="select_board();" />';
	}
	elseif ($context['can_post_new'])
		echo '
				<span class="error">', $txt['scl_cat_empty'], '</span>';
	else
		echo '
				<span class="error">', $txt['scl_cannot_post'], '</span>';
		
	echo '
			</div>
		</div>
		<span class="clear lowerframe"><span></span></span>
	</div>
	<br class="clear" />';

	scl_subway();
}

?>