<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify that you put this file in the same place as SMF\'s index.php and SSI.php files.');

if ((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin privileges required.');
	
$hooks = array(
	'integrate_pre_include' => '$sourcedir/Subs-SCL.php',
	'integrate_load_theme' => 'scl_load_theme',
	'integrate_actions' => 'scl_actions',
	'integrate_menu_buttons' => 'scl_menu_buttons',
	'integrate_admin_areas' => 'scl_admin_areas',
	'integrate_modify_modifications' => 'scl_modifications',
	'integrate_whos_online' => 'scl_whos_online'
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';

else
	$call = 'add_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);
	
if (SMF == 'SSI')
	echo 'Database changes are complete! Please wait...';

?>